aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authoraskeing <askeing@gmail.com>2016-04-29 20:54:11 +0900
committeraskeing <askeing@gmail.com>2016-04-30 13:05:28 +0900
commitd41180ef08349bd82d1966ac8ccfa903ab603fbc (patch)
tree5a1e83c52b0870d4b1bbd5731eba6d416a6fb576
parent26be403e3c8351af638cce3a2a1ed4d3be8022df (diff)
downloadservo-d41180ef08349bd82d1966ac8ccfa903ab603fbc.tar.gz
servo-d41180ef08349bd82d1966ac8ccfa903ab603fbc.zip
The manifest_changed.sh doesn't need binary to update the manifests
-rwxr-xr-xetc/ci/manifest_changed.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/etc/ci/manifest_changed.sh b/etc/ci/manifest_changed.sh
index b8c2c536f54..4f84e3d9acc 100755
--- a/etc/ci/manifest_changed.sh
+++ b/etc/ci/manifest_changed.sh
@@ -1,5 +1,16 @@
#!/bin/bash
-./mach test-wpt --manifest-update SKIP_TESTS > /dev/null
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# We shouldn't need any binary at all to update the manifests.
+# Adding "SKIP_TESTS" to skip tests, it doesn't really skip the tests.
+# It will run "run_wpt" with "'test_list': ['SKIP_TESTS']",
+# and then pass it into wptrunner, which won't be able to find any tests named "SKIP_TESTS",
+# and thus won't run any.
+# Adding "--binary=" to skip looking for a compiled servo binary.
+./mach test-wpt --manifest-update --binary= SKIP_TESTS > /dev/null
+
diff=$(git diff -- tests/*/MANIFEST.json)
echo "$diff"
[[ ! $diff ]]